function toggleChat() {
    const chatWindow = document.getElementById('chatWindow');
    chatWindow.classList.toggle('minimized');
  }

//Функция регулирования высоты для строки введенных сообщения 
function adjustTextareaHeight(textarea) {
    textarea.style.height = 'auto';
    textarea.style.height = `${textarea.scrollHeight}px-0px`;
  }

//Её вызов
  document.getElementById('chatInput').addEventListener('input', function() {
    adjustTextareaHeight(this);
  });


//Для прокрутки сообщений и введенного текста внутри блока

  document.querySelector('.chat-window').addEventListener('wheel', function(e) {
    if (e.deltaY !== 0) {
        this.scrollTop += e.deltaY; // изменение scrollTop в зависимости от направления и скорости прокрутки
        e.preventDefault(); // предотвращение скроллинга всей страницы
    }
});


document.querySelector('.chat-body').addEventListener('wheel', function(e) {
    if (e.deltaY !== 0) {
        this.scrollTop += e.deltaY; // изменение scrollTop в зависимости от направления и скорости прокрутки
        e.preventDefault(); // предотвращение скроллинга всей страницы
    }
});

//функция для того, чтоб textarea не уезжал за границы
document.addEventListener("DOMContentLoaded", function() {
    const textarea = document.querySelector('.chat-footer textarea');

    textarea.addEventListener('input', function() {
        this.style.height = 'auto'; // Смещение высоты, чтобы подсчитать новую высоту текста
        if (this.scrollHeight <= 150) {
            this.style.height = (this.scrollHeight) + 'px'; // Установление высоты по высоте содержимого
        } else {
            this.style.height = '150px'; // Устанавливание максимальной высоты
        }
    });
});

async function sendMessage() {
    const chatInput = document.getElementById('chatInput');
    const message = chatInput.value.trim();
    
    if (message === '') return;
    
    chatInput.value = '';
    adjustTextareaHeight(chatInput);
    
    appendMessage('user', message);
    
    
    // Отправка запроса к API
    const response = await fetch('http://127.0.0.1:5000/process_message', {
      method: 'POST',
      headers: {
          'Content-Type': 'application/json',
      },
      body: JSON.stringify({
          message: message
      })
    });

    const data = await response.json();
    const botMessage = data.response;

    appendMessage('bot', botMessage);
    }

  function appendMessage(sender, message) {
    const chatBody = document.getElementById('chatBody');
    const messageDiv = document.createElement('div');
    
    messageDiv.className = `message ${sender}`;
    messageDiv.textContent = message;
    chatBody.appendChild(messageDiv);
    chatBody.scrollTop = chatBody.scrollHeight;
  }